POLYBAR(1)

NAME
polybar - A fast and easy-to-use tool status bar

SYNOPSIS

polybar [OPTIONS]... [BAR]

DESCRIPTION

Polybar aims to help users build beautiful and highly customizable status bars for their desktop environment, without the need of having a black belt in shell scripting. If the BAR argument is not provided and the configuration file only contains one bar definition, polybar will display this bar.

OPTIONS

-h, --help
    Display help text and exit

-v, --version
    Display build details and exit

-l, --log=LEVEL
    Set the logging verbosity (default: notice)
    LEVEL is one of: error, warning, notice, info, trace

-q, --quiet
    Be quiet (will override -l)

-c, --config=FILE
    Specify the path to the configuration file. By default, the configuration file is loaded from:

•   $XDG_CONFIG_HOME/polybar/config

•   $XDG_CONFIG_HOME/polybar/config.ini

•   $HOME/.config/polybar/config

•   $HOME/.config/polybar/config.ini

•   $XDG_CONFIG_DIRS/polybar/config.ini

•   /etc/xdg/polybar/config.ini (only if XDG_CONFIG_DIRS is not set)

•   /etc/polybar/config.ini

-r, --reload
    Reload the application when the config file has been modified

-d, --dump=PARAM
    Print the value of the specified parameter PARAM in bar section and exit

-m, --list-monitors
    Print list of available monitors and exit.
    If some monitors are cloned, this will exclude all but one of them.
    If polybar was compiled with RandR monitor support, only monitors are listed and not physical outputs.

-M, --list-all-monitors
    Print list of all available monitors and exit.
    This includes cloned monitors as well as both physical outputs and RandR monitors (if supported).
    Only the names listed here can be used as monitor names in polybar.

-w, --print-wmname
    Print the generated WM_NAME and exit

-s, --stdout
    Output the data to stdout instead of drawing it to the X window

-p, --png=FILE
    Save png snapshot to FILE after running for 3 seconds

AUTHORS
Polybar was created by Michael Carlberg and is currently maintained by Patrick Ziegler.
Contributors can be listed on GitHub.

REPORTING BUGS

Report issues on GitHub <https://github.com/polybar/polybar>

SEE ALSO

polybar-msg(1), polybar(5)
Full documentation at: <https://github.com/polybar/polybar>
Project wiki: <https://github.com/polybar/polybar/wiki>

COPYRIGHT
2016-2025, Michael Carlberg & contributors